Bug 12933 - Add ability to print overdue slip from staff intranet
Summary: Add ability to print overdue slip from staff intranet
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 15242 17968
  Show dependency treegraph
 
Reported: 2014-09-16 17:31 UTC by Kyle M Hall
Modified: 2017-03-20 18:55 UTC (History)
13 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12933 - Add ability to print overdue slip from staff intranet (10.20 KB, patch)
2014-09-16 17:34 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [Followup] - Switch from DBI to DBIC (2.85 KB, patch)
2014-09-17 10:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add ability to print overdue slip from staff intranet (13.25 KB, patch)
2014-12-16 14:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add new OVERDUES_SLIP letter (6.77 KB, patch)
2014-12-16 14:47 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add ability to print overdue slip from staff intranet (13.53 KB, patch)
2014-12-16 17:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add new OVERDUES_SLIP letter (6.77 KB, patch)
2014-12-16 17:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add ability to print overdue slip from staff intranet (13.43 KB, patch)
2014-12-16 18:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add ability to print overdue slip from staff intranet (13.43 KB, patch)
2014-12-16 18:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add new OVERDUES_SLIP letter (6.77 KB, patch)
2014-12-16 18:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add ability to print overdue slip from staff intranet (13.64 KB, patch)
2014-12-16 20:07 UTC, Barton Chittenden
Details | Diff | Splinter Review
Bug 12933 - Add new OVERDUES_SLIP letter (6.87 KB, patch)
2014-12-16 20:07 UTC, Barton Chittenden
Details | Diff | Splinter Review
Bug 12933 - Add ability to print overdue slip from staff intranet (13.58 KB, patch)
2015-01-02 14:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add new OVERDUES_SLIP letter (6.87 KB, patch)
2015-01-02 14:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Rename parse_letter to parse_overdues_letter (2.38 KB, patch)
2015-01-02 14:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Add Unit Tests (2.56 KB, patch)
2015-01-02 14:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Rename parse_letter to parse_overdues_letter (2.59 KB, patch)
2015-01-02 15:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Add Unit Tests (2.56 KB, patch)
2015-01-02 15:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add ability to print overdue slip from staff intranet (13.58 KB, patch)
2015-01-26 13:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add new OVERDUES_SLIP letter (6.96 KB, patch)
2015-01-26 13:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Rename parse_letter to parse_overdues_letter (2.59 KB, patch)
2015-01-26 13:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Add Unit Tests (2.56 KB, patch)
2015-01-26 13:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Rename GetOverdues to GetOverduesForPatron (2.42 KB, patch)
2015-01-26 13:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Remove trailing whitespace from Members.pm (13.92 KB, patch)
2015-01-26 13:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Remove Template plugin and use thereof (33.65 KB, patch)
2015-02-13 19:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add ability to print overdue slip from staff intranet (13.67 KB, patch)
2015-08-18 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add new OVERDUES_SLIP letter (65.22 KB, patch)
2015-08-18 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Rename parse_letter to parse_overdues_letter (2.59 KB, patch)
2015-08-18 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Add Unit Tests (2.56 KB, patch)
2015-08-18 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Rename GetOverdues to GetOverduesForPatron (2.48 KB, patch)
2015-08-18 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Remove Template plugin and use thereof (23.39 KB, patch)
2015-08-18 15:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add ability to print overdue slip from staff intranet (13.67 KB, patch)
2015-10-16 14:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add new OVERDUES_SLIP letter (32.84 KB, patch)
2015-10-16 14:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Rename parse_letter to parse_overdues_letter (2.59 KB, patch)
2015-10-16 14:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Add Unit Tests (2.56 KB, patch)
2015-10-16 14:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Rename GetOverdues to GetOverduesForPatron (2.48 KB, patch)
2015-10-16 14:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add ability to print overdue slip from staff intranet (13.67 KB, patch)
2015-10-16 14:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add new OVERDUES_SLIP letter (10.93 KB, patch)
2015-10-16 14:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Rename parse_letter to parse_overdues_letter (2.59 KB, patch)
2015-10-16 14:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Add Unit Tests (2.56 KB, patch)
2015-10-16 14:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Rename GetOverdues to GetOverduesForPatron (2.48 KB, patch)
2015-10-16 14:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add ability to print overdue slip from staff intranet (13.67 KB, patch)
2015-10-24 11:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 - Add new OVERDUES_SLIP letter (10.93 KB, patch)
2015-10-24 11:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Rename parse_letter to parse_overdues_letter (2.57 KB, patch)
2015-10-24 11:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Add Unit Tests (2.56 KB, patch)
2015-10-24 11:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12933 [QA Followup] - Rename GetOverdues to GetOverduesForPatron (2.48 KB, patch)
2015-10-24 11:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 12933 - Add ability to print overdue slip from staff intranet (13.73 KB, patch)
2015-10-24 19:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 12933 - Add new OVERDUES_SLIP letter (11.04 KB, patch)
2015-10-24 19:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 12933 [QA Followup] - Rename parse_letter to parse_overdues_letter (2.63 KB, patch)
2015-10-24 19:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 12933 [QA Followup] - Add Unit Tests (2.60 KB, patch)
2015-10-24 19:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 12933 [QA Followup] - Rename GetOverdues to GetOverduesForPatron (2.54 KB, patch)
2015-10-24 19:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12933: QA Followq-up - Add missing notice templates and other small fixes (5.64 KB, patch)
2015-10-24 19:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12933: QA Followq-up - Add missing notice templates and other small fixes (5.67 KB, patch)
2015-10-25 12:05 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2014-09-16 17:31:06 UTC
Some librarians would like to be able to print an overdues slip from the staff intranet. This slip would be defined as the print transport version of the ODUE slip.
Comment 1 Kyle M Hall 2014-09-16 17:34:25 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2014-09-17 05:39:23 UTC
Hm, wouldn't it be better to have a separate template for a slip? I think the print transport type for ODUEs is thought for printing letters mostly and this could confuse things a bit.

Also, not all libraries use ODUE - it's not hardcoded as the notice triggers will let you pick any slip that is in the circulation module.
Comment 3 Kyle M Hall 2014-09-17 10:25:26 UTC Comment hidden (obsolete)
Comment 4 Barton Chittenden 2014-12-15 21:03:10 UTC
I tried to run the test plan, on step 4, I got a 404:

http:// ... /cgi-bin/koha/members/print_overdues.pl?borrowernumber=220

The file print_overdues.pl does not exist.
Comment 5 Kyle M Hall 2014-12-16 14:46:58 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2014-12-16 14:47:03 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2014-12-16 17:25:05 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2014-12-16 17:25:12 UTC Comment hidden (obsolete)
Comment 9 Kyle M Hall 2014-12-16 18:06:54 UTC Comment hidden (obsolete)
Comment 10 Kyle M Hall 2014-12-16 18:08:27 UTC Comment hidden (obsolete)
Comment 11 Kyle M Hall 2014-12-16 18:08:33 UTC Comment hidden (obsolete)
Comment 12 Barton Chittenden 2014-12-16 18:20:14 UTC
Test Plan:
1) Apply this patch
2) Run ./installer/data/mysql/updatedatabase.pl
3) Locate a patron with overdues
4) Try Print > Print overdues
Comment 13 Barton Chittenden 2014-12-16 20:07:21 UTC Comment hidden (obsolete)
Comment 14 Barton Chittenden 2014-12-16 20:07:36 UTC Comment hidden (obsolete)
Comment 15 Jonathan Druart 2014-12-26 10:09:12 UTC
QA comment:
I am quite confuse by this patch.
IMO there are some inconsistencies:
1/ I don't understand the usefulness to pass by the template plugin to know if a borrower has overdues or not.
2/ Why did you move parse_letter to the pm file? A subroutine with the same name exists in advance_notices.pl cronjob script (which uses C4::Overdues too, so introduces a redefinion of it)?
3/ Same for C4::Members::GetOverdues, we already have a GetOverdues subroutine in C4::Overdues.
4/ Tests are missing for changes in packages.

Marked as Failed QA.
Comment 16 Kyle M Hall 2015-01-02 14:57:05 UTC
(In reply to Jonathan Druart from comment #15)
> QA comment:
> I am quite confuse by this patch.
> IMO there are some inconsistencies:
> 1/ I don't understand the usefulness to pass by the template plugin to know
> if a borrower has overdues or not.

By using a TT plugin, we don't have to modify each and every script that uses the members toolbar.

> 2/ Why did you move parse_letter to the pm file? A subroutine with the same
> name exists in advance_notices.pl cronjob script (which uses C4::Overdues
> too, so introduces a redefinion of it)?

I moved it so we could use the same subroutine in both the cron script and the new script. I'll submit a followup to rename it to parse_overdues_letter

> 3/ Same for C4::Members::GetOverdues, we already have a GetOverdues
> subroutine in C4::Overdues.

C4::Members::GetOverdues deals with getting a specific borrowers overdues, and gets more data than C4::Overdues::GetOverdues. They really do two different jobs.

> 4/ Tests are missing for changes in packages.

Will do!
Comment 17 Kyle M Hall 2015-01-02 14:57:27 UTC Comment hidden (obsolete)
Comment 18 Kyle M Hall 2015-01-02 14:57:34 UTC Comment hidden (obsolete)
Comment 19 Kyle M Hall 2015-01-02 14:57:36 UTC Comment hidden (obsolete)
Comment 20 Kyle M Hall 2015-01-02 14:57:39 UTC Comment hidden (obsolete)
Comment 21 Kyle M Hall 2015-01-02 15:02:12 UTC Comment hidden (obsolete)
Comment 22 Kyle M Hall 2015-01-02 15:02:28 UTC Comment hidden (obsolete)
Comment 23 Martin Renvoize 2015-01-16 09:05:41 UTC
(In reply to Kyle M Hall from comment #16)
> (In reply to Jonathan Druart from comment #15)


I agree with Joubu that I don't like having a second GetOverdues added to the code.. it's not DRY.. if you really want to be able to access the function from C4::Members rather than directly from C4::Overdues, then it should be a sugar function that refers to C4::Overdues in my mind, else it's confusing to future people working on the code.  If it does perform a different function.. then surely that should be made clear by naming it something completely different, or enahcning the C4::Overdues function with the required extras and a filter perhaps?

Just my thoughts
Comment 24 Kyle M Hall 2015-01-26 13:45:39 UTC Comment hidden (obsolete)
Comment 25 Kyle M Hall 2015-01-26 13:45:46 UTC Comment hidden (obsolete)
Comment 26 Kyle M Hall 2015-01-26 13:45:50 UTC Comment hidden (obsolete)
Comment 27 Kyle M Hall 2015-01-26 13:45:53 UTC Comment hidden (obsolete)
Comment 28 Kyle M Hall 2015-01-26 13:45:57 UTC Comment hidden (obsolete)
Comment 29 Kyle M Hall 2015-01-26 13:46:00 UTC Comment hidden (obsolete)
Comment 30 Jonathan Druart 2015-02-11 11:55:35 UTC
(In reply to Kyle M Hall from comment #16)
> (In reply to Jonathan Druart from comment #15)
> > QA comment:
> > I am quite confuse by this patch.
> > IMO there are some inconsistencies:
> > 1/ I don't understand the usefulness to pass by the template plugin to know
> > if a borrower has overdues or not.
> 
> By using a TT plugin, we don't have to modify each and every script that
> uses the members toolbar.

Yes, but it's the way it's done everywhere into Koha.
I still really don't like to see an other overhead to get this kind of info.

Other QA pov needed here please.
Comment 31 Jonathan Druart 2015-02-11 11:57:26 UTC
(In reply to Kyle M Hall from comment #29)
> Created attachment 35538 [details] [review] [review]
> Bug 12933 [QA Followup] - Remove trailing whitespace from Members.pm

There are 26 patches in the queue modifying C4/Members.pm.
IMO this patch does not give enough benefit to be required.
Comment 32 Kyle M Hall 2015-02-12 15:37:35 UTC
I'll write a followup to remove the plugin sub and use of it, replacing it with something more common. Until then, setting to Failed QA
Comment 33 Kyle M Hall 2015-02-13 19:11:05 UTC Comment hidden (obsolete)
Comment 34 Kyle M Hall 2015-08-18 15:07:29 UTC Comment hidden (obsolete)
Comment 35 Kyle M Hall 2015-08-18 15:07:46 UTC Comment hidden (obsolete)
Comment 36 Kyle M Hall 2015-08-18 15:07:48 UTC Comment hidden (obsolete)
Comment 37 Kyle M Hall 2015-08-18 15:07:51 UTC Comment hidden (obsolete)
Comment 38 Kyle M Hall 2015-08-18 15:07:54 UTC Comment hidden (obsolete)
Comment 39 Kyle M Hall 2015-08-18 15:07:57 UTC Comment hidden (obsolete)
Comment 40 Kyle M Hall 2015-08-18 15:16:34 UTC
> > By using a TT plugin, we don't have to modify each and every script that
> > uses the members toolbar.
> 
> Yes, but it's the way it's done everywhere into Koha.
> I still really don't like to see an other overhead to get this kind of info.

There is no sacrifice or performance using this method. In fact, based on my followup, using the plugin results in somewhat better performance!

The key here is that just because we've always done something in a particular way doesn't mean we should keep doing it that way. In fact, we have precedence for this very pattern.

Once we introduced the plugin for getting system preferences, we began to remove the template parameters that only passed system preferences. There is no need to fetch the values in the script and pass them to the template, because the script has absolutely no need for them. Doing so only added unnecessary complexity and by using a plugin we greatly reduce that complexity. This is essentially the exact same issue.
Comment 41 Jonathan Druart 2015-09-03 11:28:09 UTC
There is something wrong in the second patch:

installer/data/mysql/updatedatabase.pl             | 1157 +-------------------
Comment 42 Kyle M Hall 2015-10-16 14:32:04 UTC Comment hidden (obsolete)
Comment 43 Kyle M Hall 2015-10-16 14:32:19 UTC Comment hidden (obsolete)
Comment 44 Kyle M Hall 2015-10-16 14:32:22 UTC Comment hidden (obsolete)
Comment 45 Kyle M Hall 2015-10-16 14:32:26 UTC Comment hidden (obsolete)
Comment 46 Kyle M Hall 2015-10-16 14:32:29 UTC Comment hidden (obsolete)
Comment 47 Kyle M Hall 2015-10-16 14:36:12 UTC Comment hidden (obsolete)
Comment 48 Kyle M Hall 2015-10-16 14:36:19 UTC Comment hidden (obsolete)
Comment 49 Kyle M Hall 2015-10-16 14:36:23 UTC Comment hidden (obsolete)
Comment 50 Kyle M Hall 2015-10-16 14:36:26 UTC Comment hidden (obsolete)
Comment 51 Kyle M Hall 2015-10-16 14:36:30 UTC Comment hidden (obsolete)
Comment 52 Kyle M Hall 2015-10-16 14:37:27 UTC
(In reply to Jonathan Druart from comment #41)
> There is something wrong in the second patch:
> 
> installer/data/mysql/updatedatabase.pl             | 1157
> +-------------------

Fixed!
Comment 53 Katrin Fischer 2015-10-24 10:15:07 UTC
Sorry, patch doesn't apply, please rebase:

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 12933 - Add ability to print overdue slip from staff intranet
Using index info to reconstruct a base tree...
M	C4/Overdues.pm
Falling back to patching base and 3-way merge...
Auto-merging C4/Overdues.pm
CONFLICT (content): Merge conflict in C4/Overdues.pm
Failed to merge in the changes.
Patch failed at 0001 Bug 12933 - Add ability to print overdue slip from staff intranet
The copy of the patch that failed is found in:
   /home/katrin/kohaclone/.git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-12933---Add-ability-to-print-overdue-slip-from-IujNUN.patch
Comment 54 Kyle M Hall 2015-10-24 11:15:58 UTC Comment hidden (obsolete)
Comment 55 Kyle M Hall 2015-10-24 11:16:06 UTC Comment hidden (obsolete)
Comment 56 Kyle M Hall 2015-10-24 11:16:10 UTC Comment hidden (obsolete)
Comment 57 Kyle M Hall 2015-10-24 11:16:13 UTC Comment hidden (obsolete)
Comment 58 Kyle M Hall 2015-10-24 11:16:16 UTC Comment hidden (obsolete)
Comment 59 Katrin Fischer 2015-10-24 19:29:44 UTC
Created attachment 43925 [details] [review]
[PASSED QA] Bug 12933 - Add ability to print overdue slip from staff intranet

Some librarians would like to be able to print an overdues slip from the
staff intranet. This slip would be defined as the print transport
version of the ODUE slip.

Test Plan:
1) Apply this patch
2) Locate a patron with overdues
3) Define a print version of the OVERDUES_SLIP slip
4) Try Print > Print overdues

Signed-off-by: Amy Purvis <APurvis@galencollege.edu>
Signed-off-by: Laurie McKee <lmckee@littleelm.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 60 Katrin Fischer 2015-10-24 19:29:48 UTC
Created attachment 43926 [details] [review]
[PASSED QA] Bug 12933 - Add new OVERDUES_SLIP letter

Signed-off-by: Amy Purvis <APurvis@galencollege.edu>
Signed-off-by: Laurie McKee <lmckee@littleelm.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 61 Katrin Fischer 2015-10-24 19:29:52 UTC
Created attachment 43927 [details] [review]
[PASSED QA] Bug 12933 [QA Followup] - Rename parse_letter to parse_overdues_letter

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 62 Katrin Fischer 2015-10-24 19:29:56 UTC
Created attachment 43928 [details] [review]
[PASSED QA] Bug 12933 [QA Followup] - Add Unit Tests

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 63 Katrin Fischer 2015-10-24 19:30:00 UTC
Created attachment 43929 [details] [review]
[PASSED QA] Bug 12933 [QA Followup] - Rename GetOverdues to GetOverduesForPatron

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 64 Katrin Fischer 2015-10-24 19:30:04 UTC Comment hidden (obsolete)
Comment 65 Kyle M Hall 2015-10-25 12:05:55 UTC
Created attachment 43953 [details] [review]
Bug 12933: QA Followq-up - Add missing notice templates and other small fixes

- Fixes page title of slip print window: Members > Patrons
- Fixes error message if no notice template is found
- Fixes a stray template variable that resulted in the
  borrower number showing in the 'Print' pull down
- Fixes xt/sample_notices.t by adding the sample notice to
  it-IT and es-ES

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 66 Tomás Cohen Arazi 2015-11-04 15:57:28 UTC
Patches pushed to master.

Thanks Kyle!
Comment 67 Jonathan Druart 2015-11-06 11:21:52 UTC
(In reply to Jonathan Druart from comment #15)
> QA comment:
> 3/ Same for C4::Members::GetOverdues, we already have a GetOverdues
> subroutine in C4::Overdues.

Was valid for HasOverdues too.
See bug 15135.
Comment 68 Jonathan Druart 2015-11-25 16:54:12 UTC
(In reply to Jonathan Druart from comment #67)
> (In reply to Jonathan Druart from comment #15)
> > QA comment:
> > 3/ Same for C4::Members::GetOverdues, we already have a GetOverdues
> > subroutine in C4::Overdues.
> 
> Was valid for HasOverdues too.
> See bug 15135.

This is still valid, please fix.

returns.pl: Subroutine HasOverdues redefined at /home/koha/src/Koha/Template/Plugin/Borrowers.pm line 52